package rocks.zipcode;

import java.io.FileWriter;
import java.io.IOException;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @author leon on 18/11/2018.
 */
public class SpecialCharDocument extends Document {
    public SpecialCharDocument(String fileName) throws IOException {
        super(fileName);
    }


    @Override
    public void write(String contentToBeWritten) {

        try {

            if(isSpecialCharacters(contentToBeWritten)) {
                FileWriter fileWriter = new FileWriter("/Users/elliottstansbury/Projects/exceptions-readandwrite/target/file.txt");
                fileWriter.write(contentToBeWritten);
            }else{

                throw new IllegalArgumentException();
            }

        } catch (IOException e) {
            e.printStackTrace();
        }

    }

    private Boolean isSpecialCharacters(String s) {

        Pattern pattern = Pattern.compile("[^\\w\\s]");
        Matcher matcher = pattern.matcher(s);

        return matcher.find();
    }




}
